<!--
  Created by CPL.
  User: Carlos
  Date: 27/04/2023
  Time: 21:49
  To change this template use File | Settings | File Templates | JSP Bootstrap 5.
-->
<!doctype html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sd="http://www.w3.org/1999/xhtml"
      layout:decorate="~{layout}">
<head th:fragment="head">
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">

    <!-- Estilos personalizados -->
    <link href="" type="text/css" rel="stylesheet">

    <title>Inicio</title>
</head>
<body>
    <script>
        const getTime = () => {

            fetch('otroMsg').then(function (response) {
                return response.text();
            }).then(function (html) {
                console.log(html)
                document.getElementById("myPlaceHolder").innerHTML += html;
            }).catch(function (err) {
                console.warn('Something went wrong.', err);
            });
        }

    </script>

    <p><input type="button" onclick="getTime( )" value="Pedir hora"/></p>
    <h3>Respuesta del servidor:</h3>
    <div id="myPlaceHolder"></div>


<!-- Optional JavaScript -->
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
        integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.min.js"
        integrity="sha384-cuYeSxntonz0PPNlHhBs68uyIAVpIIOZZ5JqeqvYYIcEL727kskC66kF92t6Xl2V"
        crossorigin="anonymous"></script>
</body>
</html>